#!/bin/bash

CC=clang
WAPP_INCLUDE="$(find intern/wapp/src -type d | xargs -I{} echo -n "-I{} ")"
WAPP_SRC="$(find intern/wapp/src -type f -name "*.c" | xargs -I{} echo -n "{} ")"
CFLAGS="-g -Isrc $WAPP_INCLUDE"
LIBS="-lm"
SRC="src/*.c $WAPP_SRC"
OUT=tiny

(set -x ; $CC $CFLAGS $LIBS $SRC -o $OUT)
